# 3D Scanning and printing

This week I made some 3d printed tools and 3d scanned using photogrammetry.

I wanted to make simple tools this weeks, so I experimented with simple joint mechanisms. Some references that I used to develop my designs:

- [Compliant Mechanisms Research (CMR by BYU)](<https://www.compliantmechanisms.byu.edu/maker-resources>)
- [Why machines that bend are better](<https://www.youtube.com/watch?v=97t7Xj_iBv0>)
- [Compliant mechanisms by Devin Montes](<https://www.myminifactory.com/users/MakeAnything/collection/compliant-mechanisms>) \- [video](<https://www.youtube.com/watch?v=PgDJlLqeTdo>)
- [These transformed chopsticks](<https://www.myminifactory.com/object/3d-print-96658>)

## Design

I first made a scaled-up version of a simple Gemclip and some other simple geometry clips. I bent one end to add a dimension, that does not allow it to be made using only one subtractive method.

![simpleclips](<./images/3dpd/simpleclips.jpg>)

I first made it in 2D in plan to the size and proportion I wanted, and then extruded it in Z. Later I bent the inner part so that the model could no tbe made only subtractively easily, as now it had an undercut.

![side](<./images/3dpd/side.jpg>)

Then I used some parts of these tranformed chopsticks reference above that I found

![transformedchopsticks](<./images/3dpd/transformedchopsticks.jpg>)

And then made normal tweezers and then modified the geomtry to make it compliant like the chopsticks above.

![designing](<./images/3dpd/designing.jpg>)

## The models

<div class="sketchfab-embed-wrapper"><iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/acabba4a8e95408484dcc6343d08ade7/embed?autospin=0.2" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe><p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"><a href="https://sketchfab.com/3d-models/gemclip-acabba4a8e95408484dcc6343d08ade7?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Gemclip</a> by <a href="https://sketchfab.com/emaitee?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">emaitee</a> on <a href="https://sketchfab.com?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a>

Next after, watching some videos on making compliant mechanisms, I made a simple pick-and-place plier to test out the bending.

  <iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/850342b563e44e1eb9413b347701a423/embed?autospin=0.2&amp;camera=0" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe><p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"><a href="https://sketchfab.com/3d-models/compliant-mechanism-pliers-850342b563e44e1eb9413b347701a423?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Compliant mechanism, pliers</a> by <a href="https://sketchfab.com/emaitee?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">emaitee</a> on <a href="https://sketchfab.com?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a></p></div>

Some tweezers we used for holding down electronic components:

<div class="sketchfab-embed-wrapper"><iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/85e7031fa9fa444eabe54ac6152ed525/embed?autospin=0.2&amp;camera=0" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe><p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"><a href="https://sketchfab.com/3d-models/simple-tweezers-85e7031fa9fa444eabe54ac6152ed525?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Simple tweezers</a> by <a href="https://sketchfab.com/emaitee?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">emaitee</a> on <a href="https://sketchfab.com?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a></p></div>

I wondered if it was easier to use the tweezers with a reversed action, where applying force releases the object. And by default it holds the object. For this, I used this [mechanism designed by Devin Montes](<https://www.myminifactory.com/users/MakeAnything/collection/compliant-mechanisms>) \- [video](<https://www.youtube.com/watch?v=PgDJlLqeTdo>) and transformed it for the tweezers.

<div class="sketchfab-embed-wrapper"><iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/43feaabeb46647b8a4778c10bea22740/embed?autospin=0.2&amp;camera=0" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe><p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"><a href="https://sketchfab.com/3d-models/compliant-tweezers-43feaabeb46647b8a4778c10bea22740?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Compliant tweezers</a> by <a href="https://sketchfab.com/emaitee?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">emaitee</a> on <a href="https://sketchfab.com?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a></p></div>


## Creating toolpaths

I used Cura to make toolpaths for my 3d prints. I uploaded my stl files, set my machine, choose PLA as my material and used these settings:

![null](<./images/3dpd/cura.jpg>)

## Printing

I used an [Anycubic Kossel Plus 3D printer](<https://www.anycubic.com/products/anycubic-kossel-3d-printer>) to print with a black 1.75mm PLA filament.

![null](<../images/3dpd/anycubic.jpg>)

Printing the gemclip: The finish was alright, as the first layer spread a little too much, causing it to be broader then the actual form. The first layer has a layer height of 0.3mm, and all the consecutive ones were 0.15mm. I used a cutting blade to finish these edges.

![null](<./images/3dpd/gem3d.jpg>)



![null](<./images/3dpd/gemedge.jpg>)



In the next print, I used the same layer height for all layers. I printed a simple pick and place plier using a bent compliant joint.

![null](<../images/3dpd/simpleplier.gif>)



Simple nose-end tweezers:

![null](<./images/3dpd/simpletweezers.jpg>)



Used the transformed chopstick geometry, modifoed it for the tweezers: ![null](<./images/3dpd/comptweezers.jpg>)



The bending details were too small, they broke while I was trying to clean them up.

![null](<./images/3dpd/brokentweezers.jpg>)



Overall, I made some small experiments with simple tools. I hope to remake the tweezer with the semi-compliant mechanism again after modifying the design.

![null](<./images/3dpd/lot.jpg>)



Useful reference:

[Design for 3d printing tutorials](<https://www.3dhubs.com/knowledge-base/>)

### For next time

 If I can have more time on the machines I can modify the mechanisms by trying out various different tollerences, size and setting. And maybe make a small set of complaint mechanism tools.

## Photogrammetry

I used Agisoft Metashape to make a pointcloud. I followed this [tutorial by Agisoft](<https://agisoft.freshdesk.com/support/solutions/articles/31000152092-3d-model-reconstruction>).

I clicked 53 images of the object on a plain background from all around. Steps to make a pointcloud:

1. Workflow > Add photos
2. Workflow > Align Photos (this step take some time depending on the number of key point limit and tie point limit you set.)
3. Some photos failed to align, but I got 9003 points
4. Workflow > Build dense cloud - medium quality.
5. Workflow > Build Mesh
6. Workflow > Build textures


The process: ![metashape](<./images/3dpd/agisoft.gif>)

The output:

<div class="sketchfab-embed-wrapper"><iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/a3fdb19895234d9f9834fb48305ed7a4/embed?autospin=0.2&amp;camera=0" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe><p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"><a href="https://sketchfab.com/3d-models/nut-and-bolt-a3fdb19895234d9f9834fb48305ed7a4?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Nut and bolt</a> by <a href="https://sketchfab.com/emaitee?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">emaitee</a> on <a href="https://sketchfab.com?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a></p></div>

## 3D Scanning

I used a Roland Modela MDX-20 to scan the same object. I used the [step-by-step manual](<http://fab.academany.org/2018/labs/barcelona/students/jeanbaptiste-natali/download/scanning_with_mdx-20_step_by_step.pdf>) for this. ![nutbolt](<./images/3dpd/nutbolt.jpg>)

Stuck the bolt and nut using a double sided tape on the raised level bed. ![setup](<../images/3dpd/setup.jpg>) I set the scanning area, as close to the object as possible. And a scanning grid of 0.5mm on both X and Y axes.

The output: ![output](<./images/3dpd/output.jpg>)

<div class="sketchfab-embed-wrapper"><iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/c7382a9ac481437c8df7386913506f23/embed?autospin=0.2&amp;camera=0" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe><p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;"><a href="https://sketchfab.com/3d-models/3d-scanned-nut-and-bolt-c7382a9ac481437c8df7386913506f23?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">3D scanned nut and bolt</a> by <a href="https://sketchfab.com/emaitee?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">emaitee</a> on <a href="https://sketchfab.com?utm_medium=embed&amp;utm_source=website&amp;utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a></p></div>

### Design files

[All 3D models for printing](<./images/3dpd/clampsandclips.3dm.zip>)

[Probe scan of a lump of clay](<./images/3dpd/clay.probe.scan.stl.zip>)

[Photogammetry of nut and bolt](<./images/3dpd/photogrammetry.obj.zip>)

[Probe scan of nut and bolt](<./images/3dpd/probescan.zip>)

[These transformed chopsticks](<./images/3dpd/reference.file.zip>)
